Changeset 2677 for ThirdParty/ASL


Ignore:
Timestamp:
Dec 2, 2012 10:45:50 AM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r2669 r2677  
    10711071                          icl/link). Default when mentioned: mingw. Default
    10721072                          when not mentioned: disabled.
     1073
    10731074  --enable-static[=PKGS]
    10741075                          build static libraries [default=no]
     
    19381939echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19391940  fi
     1941
     1942
     1943# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1944if test "${enable_static_standardlibs+set}" = set; then
     1945  enableval="$enable_static_standardlibs"
     1946  case "$enableval" in
     1947     no | yes | auto ) ;;
     1948     *)
     1949       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1950echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1951   { (exit 1); exit 1; }; } ;;
     1952   esac
     1953   use_static_standardlibs=$enableval
     1954else
     1955  use_static_standardlibs=no
     1956fi;
     1957
    19401958
    19411959
     
    30643082    CFLAGS="$OPT_CFLAGS"
    30653083  fi
     3084
    30663085else
    30673086  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32313250    ;;
    32323251esac
     3252
     3253# check whether to add flags for static linking against standard libraries to LDFLAGS
     3254if test x$use_static_standardlibs != xno ; then
     3255  case $build in
     3256    *-mingw*)
     3257      static_standardlib_flag=-static
     3258      ;;
     3259    *)
     3260      static_standardlib_flag=-static-libgcc
     3261      ;;
     3262  esac
     3263  case " $LDFLAGS " in
     3264    *" $static_standardlib_flag "* ) ;;
     3265    *)
     3266    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3267echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3268    coin_save_LDFLAGS="$LDFLAGS"
     3269    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3270    cat >conftest.$ac_ext <<_ACEOF
     3271/* confdefs.h.  */
     3272_ACEOF
     3273cat confdefs.h >>conftest.$ac_ext
     3274cat >>conftest.$ac_ext <<_ACEOF
     3275/* end confdefs.h.  */
     3276
     3277int
     3278main ()
     3279{
     3280int i=0;
     3281  ;
     3282  return 0;
     3283}
     3284_ACEOF
     3285rm -f conftest.$ac_objext conftest$ac_exeext
     3286if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3287  (eval $ac_link) 2>conftest.er1
     3288  ac_status=$?
     3289  grep -v '^ *+' conftest.er1 >conftest.err
     3290  rm -f conftest.er1
     3291  cat conftest.err >&5
     3292  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3293  (exit $ac_status); } &&
     3294         { ac_try='test -z "$ac_c_werror_flag"
     3295                         || test ! -s conftest.err'
     3296  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3297  (eval $ac_try) 2>&5
     3298  ac_status=$?
     3299  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3300  (exit $ac_status); }; } &&
     3301         { ac_try='test -s conftest$ac_exeext'
     3302  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3303  (eval $ac_try) 2>&5
     3304  ac_status=$?
     3305  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3306  (exit $ac_status); }; }; then
     3307  echo "$as_me:$LINENO: result: yes" >&5
     3308echo "${ECHO_T}yes" >&6
     3309else
     3310  echo "$as_me: failed program was:" >&5
     3311sed 's/^/| /' conftest.$ac_ext >&5
     3312
     3313echo "$as_me:$LINENO: result: no" >&5
     3314echo "${ECHO_T}no" >&6
     3315       LDFLAGS="$coin_save_LDFLAGS"
     3316       if test $use_static_standardlibs = yes ; then
     3317         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3318echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3319   { (exit 1); exit 1; }; }
     3320       fi
     3321
     3322fi
     3323rm -f conftest.err conftest.$ac_objext \
     3324      conftest$ac_exeext conftest.$ac_ext
     3325    ;;
     3326  esac
     3327fi
    32333328
    32343329ac_ext=c
     
    48534948*-*-irix6*)
    48544949  # Find out which ABI we are using.
    4855   echo '#line 4855 "configure"' > conftest.$ac_ext
     4950  echo '#line 4950 "configure"' > conftest.$ac_ext
    48564951  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48574952  (eval $ac_compile) 2>&5
     
    64526547
    64536548# Provide some information about the compiler.
    6454 echo "$as_me:6454:" \
     6549echo "$as_me:6549:" \
    64556550     "checking for Fortran 77 compiler version" >&5
    64566551ac_compiler=`set X $ac_compile; echo $2`
     
    75197614   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75207615   -e 's:$: $lt_compiler_flag:'`
    7521    (eval echo "\"\$as_me:7521: $lt_compile\"" >&5)
     7616   (eval echo "\"\$as_me:7616: $lt_compile\"" >&5)
    75227617   (eval "$lt_compile" 2>conftest.err)
    75237618   ac_status=$?
    75247619   cat conftest.err >&5
    7525    echo "$as_me:7525: \$? = $ac_status" >&5
     7620   echo "$as_me:7620: \$? = $ac_status" >&5
    75267621   if (exit $ac_status) && test -s "$ac_outfile"; then
    75277622     # The compiler can only warn and ignore the option if not recognized
     
    77877882   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77887883   -e 's:$: $lt_compiler_flag:'`
    7789    (eval echo "\"\$as_me:7789: $lt_compile\"" >&5)
     7884   (eval echo "\"\$as_me:7884: $lt_compile\"" >&5)
    77907885   (eval "$lt_compile" 2>conftest.err)
    77917886   ac_status=$?
    77927887   cat conftest.err >&5
    7793    echo "$as_me:7793: \$? = $ac_status" >&5
     7888   echo "$as_me:7888: \$? = $ac_status" >&5
    77947889   if (exit $ac_status) && test -s "$ac_outfile"; then
    77957890     # The compiler can only warn and ignore the option if not recognized
     
    78917986   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78927987   -e 's:$: $lt_compiler_flag:'`
    7893    (eval echo "\"\$as_me:7893: $lt_compile\"" >&5)
     7988   (eval echo "\"\$as_me:7988: $lt_compile\"" >&5)
    78947989   (eval "$lt_compile" 2>out/conftest.err)
    78957990   ac_status=$?
    78967991   cat out/conftest.err >&5
    7897    echo "$as_me:7897: \$? = $ac_status" >&5
     7992   echo "$as_me:7992: \$? = $ac_status" >&5
    78987993   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    78997994   then
     
    1023610331  lt_status=$lt_dlunknown
    1023710332  cat > conftest.$ac_ext <<EOF
    10238 #line 10238 "configure"
     10333#line 10333 "configure"
    1023910334#include "confdefs.h"
    1024010335
     
    1033610431  lt_status=$lt_dlunknown
    1033710432  cat > conftest.$ac_ext <<EOF
    10338 #line 10338 "configure"
     10433#line 10433 "configure"
    1033910434#include "confdefs.h"
    1034010435
     
    1268012775   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1268112776   -e 's:$: $lt_compiler_flag:'`
    12682    (eval echo "\"\$as_me:12682: $lt_compile\"" >&5)
     12777   (eval echo "\"\$as_me:12777: $lt_compile\"" >&5)
    1268312778   (eval "$lt_compile" 2>conftest.err)
    1268412779   ac_status=$?
    1268512780   cat conftest.err >&5
    12686    echo "$as_me:12686: \$? = $ac_status" >&5
     12781   echo "$as_me:12781: \$? = $ac_status" >&5
    1268712782   if (exit $ac_status) && test -s "$ac_outfile"; then
    1268812783     # The compiler can only warn and ignore the option if not recognized
     
    1278412879   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1278512880   -e 's:$: $lt_compiler_flag:'`
    12786    (eval echo "\"\$as_me:12786: $lt_compile\"" >&5)
     12881   (eval echo "\"\$as_me:12881: $lt_compile\"" >&5)
    1278712882   (eval "$lt_compile" 2>out/conftest.err)
    1278812883   ac_status=$?
    1278912884   cat out/conftest.err >&5
    12790    echo "$as_me:12790: \$? = $ac_status" >&5
     12885   echo "$as_me:12885: \$? = $ac_status" >&5
    1279112886   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1279212887   then
     
    1435414449   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1435514450   -e 's:$: $lt_compiler_flag:'`
    14356    (eval echo "\"\$as_me:14356: $lt_compile\"" >&5)
     14451   (eval echo "\"\$as_me:14451: $lt_compile\"" >&5)
    1435714452   (eval "$lt_compile" 2>conftest.err)
    1435814453   ac_status=$?
    1435914454   cat conftest.err >&5
    14360    echo "$as_me:14360: \$? = $ac_status" >&5
     14455   echo "$as_me:14455: \$? = $ac_status" >&5
    1436114456   if (exit $ac_status) && test -s "$ac_outfile"; then
    1436214457     # The compiler can only warn and ignore the option if not recognized
     
    1445814553   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1445914554   -e 's:$: $lt_compiler_flag:'`
    14460    (eval echo "\"\$as_me:14460: $lt_compile\"" >&5)
     14555   (eval echo "\"\$as_me:14555: $lt_compile\"" >&5)
    1446114556   (eval "$lt_compile" 2>out/conftest.err)
    1446214557   ac_status=$?
    1446314558   cat out/conftest.err >&5
    14464    echo "$as_me:14464: \$? = $ac_status" >&5
     14559   echo "$as_me:14559: \$? = $ac_status" >&5
    1446514560   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1446614561   then
     
    1666516760   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1666616761   -e 's:$: $lt_compiler_flag:'`
    16667    (eval echo "\"\$as_me:16667: $lt_compile\"" >&5)
     16762   (eval echo "\"\$as_me:16762: $lt_compile\"" >&5)
    1666816763   (eval "$lt_compile" 2>conftest.err)
    1666916764   ac_status=$?
    1667016765   cat conftest.err >&5
    16671    echo "$as_me:16671: \$? = $ac_status" >&5
     16766   echo "$as_me:16766: \$? = $ac_status" >&5
    1667216767   if (exit $ac_status) && test -s "$ac_outfile"; then
    1667316768     # The compiler can only warn and ignore the option if not recognized
     
    1693317028   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1693417029   -e 's:$: $lt_compiler_flag:'`
    16935    (eval echo "\"\$as_me:16935: $lt_compile\"" >&5)
     17030   (eval echo "\"\$as_me:17030: $lt_compile\"" >&5)
    1693617031   (eval "$lt_compile" 2>conftest.err)
    1693717032   ac_status=$?
    1693817033   cat conftest.err >&5
    16939    echo "$as_me:16939: \$? = $ac_status" >&5
     17034   echo "$as_me:17034: \$? = $ac_status" >&5
    1694017035   if (exit $ac_status) && test -s "$ac_outfile"; then
    1694117036     # The compiler can only warn and ignore the option if not recognized
     
    1703717132   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1703817133   -e 's:$: $lt_compiler_flag:'`
    17039    (eval echo "\"\$as_me:17039: $lt_compile\"" >&5)
     17134   (eval echo "\"\$as_me:17134: $lt_compile\"" >&5)
    1704017135   (eval "$lt_compile" 2>out/conftest.err)
    1704117136   ac_status=$?
    1704217137   cat out/conftest.err >&5
    17043    echo "$as_me:17043: \$? = $ac_status" >&5
     17138   echo "$as_me:17138: \$? = $ac_status" >&5
    1704417139   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1704517140   then
     
    2008820183# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    2008920184if test "x${prefix}" = xNONE ; then
    20090   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    20091 else
    20092   COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20185  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20186else
     20187  COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    2009320188fi
    2009420189
Note: See TracChangeset for help on using the changeset viewer.